Open CASCADE Technology: StepShape_DimensionalCharacteristicRepresentation Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepShape_DimensionalCharacteristicRepresentation Class Reference

Representation of STEP entity DimensionalCharacteristicRepresentation. More...

`#include <StepShape_DimensionalCharacteristicRepresentation.hxx>`

Inheritance diagram for StepShape_DimensionalCharacteristicRepresentation:
[legend]

## Public Member Functions
| StepShape_DimensionalCharacteristicRepresentation ()
| Empty constructor. More...
void | Init (const StepShape_DimensionalCharacteristic &aDimension, const Handle< StepShape_ShapeDimensionRepresentation > &aRepresentation)
| Initialize all fields (own and inherited) More...
StepShape_DimensionalCharacteristic | Dimension () const
| Returns field Dimension. More...
void | SetDimension (const StepShape_DimensionalCharacteristic &Dimension)
| Set field Dimension. More...
Handle< StepShape_ShapeDimensionRepresentation > | Representation () const
| Returns field Representation. More...
void | SetRepresentation (const Handle< StepShape_ShapeDimensionRepresentation > &Representation)
| Set field Representation. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Representation of STEP entity DimensionalCharacteristicRepresentation.

## Constructor & Destructor Documentation

StepShape_DimensionalCharacteristicRepresentation::StepShape_DimensionalCharacteristicRepresentation | ( |  | ) |

Empty constructor.

## Member Function Documentation

StepShape_DimensionalCharacteristic StepShape_DimensionalCharacteristicRepresentation::Dimension | ( |  | ) | const

Returns field Dimension.

void StepShape_DimensionalCharacteristicRepresentation::Init | ( | const StepShape_DimensionalCharacteristic & | aDimension,
|  | const Handle< StepShape_ShapeDimensionRepresentation > & | aRepresentation
| ) |  |

Initialize all fields (own and inherited)

Handle< StepShape_ShapeDimensionRepresentation > StepShape_DimensionalCharacteristicRepresentation::Representation | ( |  | ) | const

Returns field Representation.

void StepShape_DimensionalCharacteristicRepresentation::SetDimension | ( | const StepShape_DimensionalCharacteristic & | Dimension | ) |

Set field Dimension.

void StepShape_DimensionalCharacteristicRepresentation::SetRepresentation | ( | const Handle< StepShape_ShapeDimensionRepresentation > & | Representation | ) |

Set field Representation.

The documentation for this class was generated from the following file:

- StepShape_DimensionalCharacteristicRepresentation.hxx